import React, { useCallback } from 'react';
import SortTree from './SortTree';
import styles from './index.less';
import { clearHovered, ROOT, useSelector } from 'lingxi-editor-core';
import { onDragover, onDrop } from 'lingxi-design';
export function BrickTree(props) {
    const { componentConfigs } = useSelector(['componentConfigs'], (prevState, nextState) => {
        const { componentConfigs: { [ROOT]: prevRoot } } = prevState;
        const { componentConfigs: { [ROOT]: root } } = nextState;
        return !!(!prevRoot && root);
    });
    const onMouseLeave = useCallback((e) => {
        e.stopPropagation();
        clearHovered();
    }, []);
    if (!componentConfigs[ROOT])
        return null;
    const { className } = props;
    return (React.createElement("div", { onDrop: onDrop, onDragOver: onDragover, onMouseLeave: onMouseLeave, className: `${styles['sort-container']} ${className}` },
        React.createElement(SortTree, { disabled: true, childNodes: [ROOT], specialProps: { key: ROOT, domTreeKeys: [], parentKey: '' }, componentName: '' })));
}
