import React, { forwardRef, memo } from 'react';
import { Select, Tooltip } from 'antd';
import map from 'lodash/map';
import isObject from 'lodash/isObject';
import styles from '../index.less';
import { propsAreEqual } from '../utils';
const { Option } = Select;
const EnumComponent = forwardRef((props, ref) => {
    const { enumData, ...rest } = props;
    return (React.createElement(Select, Object.assign({ ref: ref, style: { width: '100%', height: 24 }, className: styles.select, showSearch: true, allowClear: true }, rest), map(enumData, (item, index) => {
        let key = '', label = '';
        if (isObject(item)) {
            ({ key, label } = item);
        }
        else {
            key = label = item;
        }
        return (React.createElement(Option, { value: key, key: index },
            React.createElement(Tooltip, { overlayStyle: { zIndex: 1800 }, title: label }, label)));
    })));
});
export default memo(EnumComponent, propsAreEqual);
