import React, { forwardRef, memo } from 'react';
import { Select } from 'antd';
import { propsAreEqual } from '../utils';
function NumberArray(props, ref) {
    function onNumberChange(value) {
        const { onChange, maxTagCount = 10000 } = props;
        const numberArray = [];
        if (value.length <= maxTagCount) {
            for (const v of value) {
                if (Number.isNaN(Number.parseFloat(v))) {
                    break;
                }
                numberArray.push(Number.parseFloat(v));
            }
            onChange && onChange(numberArray);
        }
    }
    return (React.createElement(Select, Object.assign({ ref: ref, mode: "tags", style: { width: '100%' }, dropdownStyle: { display: 'none' } }, props, { onChange: onNumberChange })));
}
export default memo(forwardRef(NumberArray), propsAreEqual);
