import React from 'react';
import styles from '../../index.less';
import each from 'lodash/each';
import map from 'lodash/map';
import Sortable from '../../components/ReactSortable';
function SortComponent(props) {
    const { onSortChange, sortData } = props;
    function renderSortItem({ key }) {
        return React.createElement("div", { className: styles['sort-item'], id: key, key: key }, key);
    }
    function onLayoutSortChange(sortKeys = []) {
        const dataMap = {};
        each(sortData, (data) => {
            dataMap[data.key] = data;
        });
        const nextSortData = [];
        each(sortKeys, key => nextSortData.push(dataMap[key]));
        onSortChange && onSortChange(nextSortData);
    }
    ;
    return (React.createElement(Sortable, { options: {
            animation: 200,
            dataIdAttr: 'id',
            ghostClass: styles['item-background'],
            swapThreshold: 0.5,
            direction: 'horizontal',
            scroll: true,
        }, style: { display: 'flex', overflow: 'auto', paddingBottom: 10, paddingTop: 1 }, onChange: onLayoutSortChange }, map(sortData, renderSortItem)));
}
export default SortComponent;
