import React, { useState } from 'react';
import { Input, Select, Tooltip } from 'antd';
import map from 'lodash/map';
import { TYPES_TO_COMPONENT } from '../../index';
import { addPropsConfig, PROPS_TYPES } from 'lingxi-editor-core';
const { Option } = Select;
function SelectAddProps(props) {
    const [newPropField, setNewPropField] = useState('');
    const [propType, setPropType] = useState(PROPS_TYPES.string);
    function addParam() {
        const { fatherFieldLocation } = props;
        if (/^[0-9a-zA-Z$_][0-9a-zA-Z\d_]*$/.test(newPropField)) {
            addPropsConfig({
                newPropField,
                propType,
                fatherFieldLocation,
            });
            setNewPropField('');
        }
    }
    ;
    function renderAddonBefore() {
        return React.createElement(Select, { defaultValue: propType, onChange: (v) => setPropType(v) }, map(TYPES_TO_COMPONENT, (_, type) => (React.createElement(Option, { value: type, key: type },
            React.createElement(Tooltip, { overlayStyle: { zIndex: 1800 }, title: type }, type)))));
    }
    return (React.createElement(Input.Search, { addonBefore: renderAddonBefore(), placeholder: "\u65B0\u589E\u5B57\u6BB5\u540D\u79F0", value: newPropField, onChange: e => setNewPropField(e.target.value), onSearch: addParam, enterButton: "Add" }));
}
export default SelectAddProps;
